Skip to main content
cURL

Query Parameters

currency
enum<string>
required

The currency symbol.

๐Ÿ“– Related Article: Using the currency Parameter

Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
kind
enum<string>

Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all

Available options:
future,
option,
spot,
future_combo,
option_combo,
combo,
any
start_timestamp
integer

Inclusive earliest timestamp (milliseconds since the Unix epoch). Time-based methods require at least one of start_timestamp or end_timestamp. The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

end_timestamp
integer

Inclusive latest timestamp (milliseconds since the Unix epoch). Time-based methods require at least one of start_timestamp or end_timestamp. The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

count
integer

Number of requested items, default - 10, maximum - 1000

Required range: 1 <= x <= 1000
sorting
enum<string>

Result ordering: asc, desc, or the method-specific default.

Available options:
asc,
desc,
default
historical
boolean

Determines whether historical trade and order records should be retrieved.

  • false (default): Returns recent records: orders for 30 min, trades for 24h.
  • true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.

๐Ÿ“– Related Article: Accessing Historical Trades and Orders Using API

subaccount_id
integer

Id of a subaccount

Example:

9

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request